package com.chinaitop.depot.product.service.impl;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.feign.BasicFeignClient;
import com.chinaitop.depot.product.mapper.StorageProductFcbgzMapper;
import com.chinaitop.depot.product.mapper.StorageProductKcslMapper;
import com.chinaitop.depot.product.model.StorageProductFcbgz;
import com.chinaitop.depot.product.model.StorageProductFcbgzExample;
import com.chinaitop.depot.product.service.StorageProductFcbgzService;
import com.chinaitop.depot.product.service.StorageProductKcslService;

/**
 * @auther mafy
 * @createtime 2017/10/25 0025
 */
@Service
public class StorageProductFcbgzServiceImpl implements StorageProductFcbgzService {

    @Resource
    private StorageProductFcbgzMapper storageProductFcbgzMapper;

    @Resource
	private StorageProductKcslService storageProductKcslService;

    @Resource
    private StorageProductKcslMapper storageProductKcslMapper;

    @Resource
    private BasicFeignClient basicWarehouseFeignClient;

    @Override
    public List<StorageProductFcbgz> getlist(StorageProductFcbgzExample storageProductFcbgzExample) {
        return storageProductFcbgzMapper.selectByExample(storageProductFcbgzExample);
    }
    @Override
    public List<Map<String,Object>> getNumberList(Map<String,Object> map) {
        return storageProductFcbgzMapper.getNumberList(map);
    }
    @Override
    public List<Map<String,Object>> getProductHouse(Map<String,Object> map) {
        return storageProductFcbgzMapper.getProductHouse(map);
    }

    @Override
    public void insert(StorageProductFcbgz storageProductFcbgz) {
        storageProductFcbgzMapper.insertSelective(storageProductFcbgz);
    }

    @Override
    public void update(StorageProductFcbgz storageProductFcbgz) {
        storageProductFcbgzMapper.updateByPrimaryKeySelective(storageProductFcbgz);
    }

    @Override
    public void remove(String id) {
        StorageProductFcbgzExample example = new StorageProductFcbgzExample();
        StorageProductFcbgzExample.Criteria criteria = example.createCriteria();
        criteria.andIdEqualTo(id);

        StorageProductFcbgz storageProductFcbgz = new StorageProductFcbgz();
        storageProductFcbgz.setDeleteState("0");
        storageProductFcbgzMapper.updateByExampleSelective(storageProductFcbgz, example);
    }

    @Override
    public StorageProductFcbgz getProductById(String id) {
        return storageProductFcbgzMapper.selectByPrimaryKey(id);
    }

    @Override
    public void gitSubmit(StorageProductFcbgz storageProductFcbgz,StorageProductFcbgzExample storageProductFcbgzExample) {
        storageProductFcbgzMapper.updateByExampleSelective(storageProductFcbgz,storageProductFcbgzExample);
    }

}
