package com.chinaitop.depot.common;

import com.chinaitop.depot.feign.BasicFeignClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * @author qingsong.han
 * @description:
 * @create 2020-07-20 15:16
 */
@Component
public class HystrixClientFallback implements BasicFeignClient {
    private final static Logger logger = LoggerFactory.getLogger(HystrixClientFallback.class);

    @Override
    public void updateWarehouseCrkStatus(String wareJson) {
        logger.info("调用修改货位状态接口updateWarehouseCrkStatus，没走通，才来这里了: " + wareJson);
    }

}
