package com.chinaitop.depot.risk.service.impl;

import com.chinaitop.depot.risk.mapper.ViolationWarningAlarmMapper;
import com.chinaitop.depot.risk.model.ViolationWarningAlarm;
import com.chinaitop.depot.risk.service.ViolationWarningAlarmService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * class
 *
 * @author aihua
 * @date 2022-04-19 17:46
 */
@Service
@RequiredArgsConstructor
public class ViolationWarningAlarmServiceImpl implements ViolationWarningAlarmService {

    private final ViolationWarningAlarmMapper violationWarningAlarmMapper;
    @Override
    public List<ViolationWarningAlarm> selectListPage(Map<String, Object> queryMap) {
        return  violationWarningAlarmMapper.selectListPage(queryMap);
    }

    @Override
    public ViolationWarningAlarm queryById(Integer id) {
        return  violationWarningAlarmMapper.selectById(id);
    }

    @Override
    public void updateDate(ViolationWarningAlarm violationWarningAlarm) {
        violationWarningAlarmMapper.updateById(violationWarningAlarm);
    }
}
